<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical"
    tools:context=".RandomActivity">

    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="match_parent"
        android:layout_height="0dp"
        android:layout_weight="1"
        android:background="@drawable/shape_bg_stand">

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="请您按提示进行输入"
            android:textColor="@color/white"
            android:textSize="25sp"
            android:textStyle="bold"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintTop_toTopOf="parent" />
    </androidx.constraintlayout.widget.ConstraintLayout>

    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="match_parent"
        android:layout_height="0dp"
        android:layout_weight="5"
        android:background="@color/stand">

        <androidx.constraintlayout.widget.ConstraintLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_marginTop="4dp"
            android:background="@drawable/rounded_corner_content"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent">

            <TextView
                android:id="@+id/tv_prompt"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginTop="60dp"
                android:drawableStart="@drawable/iv_user"
                android:textSize="20sp"
                android:textColor="@color/text_color"
                android:hint="请输入下边的字符:"
                android:textColorHint="@color/text_color"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toTopOf="parent" />
            <TextView
                android:id="@+id/tv_string"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@id/tv_prompt"
                android:layout_width="400dp"
                android:layout_height="wrap_content"/>

            <com.example.shengwutanzhen.IEditText
                android:drawableStart="@drawable/iv_input"
                android:id="@+id/edit_random"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="24dp"
                android:textSize="20sp"
                android:textColor="@color/text_color"
                android:hint="按提示输入"
                android:textColorHint="@color/text_color"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@+id/tv_string" />

            <Button
                android:id="@+id/confirm_btn_random"
                android:layout_width="193dp"
                android:layout_height="60dp"
                android:layout_marginStart="96dp"
                android:layout_marginBottom="20dp"
                android:text="@string/confirm"
                app:layout_constraintBottom_toTopOf="@+id/keyboardview_random"
                app:layout_constraintStart_toStartOf="parent" />

            <com.example.shengwutanzhen.IKeyboardView
                android:id="@+id/keyboardview_random"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                app:layout_constraintBottom_toBottomOf="parent" />
        </androidx.constraintlayout.widget.ConstraintLayout>
    </androidx.constraintlayout.widget.ConstraintLayout>

</LinearLayout>